Bug 18725 - RFE: allow merging of legacy font family names
Summary: RFE: allow merging of legacy font family names
Status: RESOLVED MOVED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2.6
Hardware: Other All
: medium enhancement
Assignee: fontconfig-bugs
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-27 01:22 UTC by Nicolas Mailhot
Modified: 2018-08-20 21:56 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Mailhot 2008-11-27 01:22:02 UTC
Historically font formats only allowed four faces regular, bold, italic, bold italic. You had to use a separate font family to distribute condensed, heavy etc variants

This has changed (cf http://blogs.msdn.com/text/attachment/2249036.ashx ) and modern fonts such as DejaVu include all faces under a single family name. Applications such as OO.o are being fixed to handle multifaced fonts

Unfortunately there are still many historic fonts in the wild distributed in several sets of four faces (gs fonts, arial narrow, arial bold, etc). Those fonts currently appear under different family names in fontconfig-using apps. This is perturbing to users, since the same faces of historic and modern fonts are not handled the same way. Microsoft did some sort of magic in uniscribe to hide this distinction (irrelevant to users).

Please provide a documented config pattern for font distributors that enables them to declare to fontconfig "font family A and font family B are the same, please expose all the associated faces under A name to users".

(of course an application asking explicitely for B should still get it, but users would only see A in font lists)
Comment 1 Julian Sikorski 2008-12-09 05:10:29 UTC
Currently arial narrow is being partially merged, which from users' point of view is even worse since it is not possible to select arial narrow in any way, neither as a separate font or as a style of arial. Please fix this.
Comment 2 Julian Sikorski 2008-12-09 07:04:41 UTC
Please note that I'm not asking to return to the old behaviour, I'm asking for a proper fix which will benefit everyone.
Comment 3 Akira TAGOH 2012-07-25 02:43:03 UTC
just to keep it in mind:
http://lists.freedesktop.org/archives/fontconfig/2012-July/004214.html
Comment 4 Behdad Esfahbod 2012-07-25 12:48:07 UTC
Unfortunately the standard itself is not freely available.  But the DTD is.
Comment 5 GitLab Migration User 2018-08-20 21:56:01 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/106.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.